API ReferenceRoomsCreate_invitation_link
Create invitation link for a room
Create an invitation link for the given `room_id` and `user_id`.
Create an invitation link for the given `room_id` and `user_id`.
In: header
HMAC SHA256 (Base64-encoded) signature of the request. Generate this using your API key and the request parameters (room_id). The server validates this signature to verify authenticity.
In: header
"admin" | "viewer"application/json
application/json
curl -X POST "https://api.qriib.dev/api/v4/rooms/create_invitation_link" \ -H "Content-Type: application/json" \ -d '{ "type": "object", "required": [ "room_id", "role" ], "properties": { "room_id": { "type": "string" }, "role": { "type": "string", "enum": [ "admin", "viewer" ] } }, "examples": [ { "room_id": "room123", "role": "viewer" } ] }'{
"invitation_link": "https://example.com/invite/abc123"
}{
"error": "Invalid signature"
}curl -X POST "https://api.qriib.dev/api/v4/rooms/create_invitation_link" \
-H "Content-Type: application/json" \
-d '{
"type": "object",
"required": [
"room_id",
"role"
],
"properties": {
"room_id": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"admin",
"viewer"
]
}
},
"examples": [
{
"room_id": "room123",
"role": "viewer"
}
]
}'